%define prefix /usr
%define longname Tetzle
%define name tetzle
%define version 2.0.3
%define release %mkrel 1
%define url http://gottcode.org/tetzle/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Puzzles
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Tetzle is a jigsaw puzzle game with tetrominoes.
Summary(de):	Tetzle ist ein Puzzle-Spiel mit Tetrominoes.
BuildRoot:	%{_tmppath}/%{name}-buildroot
#------------------------------------
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}mesagl1-devel
#------------------------------------
Requires: 	%{_lib}qtcore4
Requires:       mesa
Obsoletes:	%name < %version

%description
A jigsaw puzzle game that uses tetrominoes for the pieces. 
Any image can be imported and used to create puzzles with 
a wide range of sizes. Games are saved automatically, and 
you can select between currently in progress games.

#german
%description -l de
Ein Puzzle Spiel, das Tetrominoes für die Puzzle Stücke verwendet. 
Jedes Bild kann importiert und verwendet werden, um Rätsel 
mit einer breiten Palette von Größen zu erstellen. Spiele 
werden automatisch gespeichert und Sie können zwischen 
derzeit laufenden Spiele wählen.

%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Tetzle
GenericName=Jigsaw Puzzle Game
GenericName[de]=Jigsaw Puzzle Spiel
Comment=Jigsaw puzzle with tetromino pieces
Comment[de]=Jigsaw Puzzle mit Tetromino Stücke
Icon=tetzle
TryExec=tetzle
Exec=tetzle %F
Terminal=false
Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/
%doc COPYING CREDITS ChangeLog 

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Dec 07 2013 daniel <meisssw01 at gmail.com> 2.0.3-1free2013
- upstream tarball
 
* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 2.0.0-3pclos2011
- Rebuild for x86_64

* Mon May 30 2011 Texstar <texstar at gmail.com> 2.0.0-2pclos2011
- change GROUP to Games/Puzzles for Synaptic Categories

* Mon May 30 2011 leiche <meisssw01 at gmail.com> 2.0.0-1leiche2011
- import to pclinuxos
